# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: PumpBServicer.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='PumpBServicer.proto',
  package='sila2.org.silastandard.examples.pumpbservicer.v1',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x13PumpBServicer.proto\x12\x30sila2.org.silastandard.examples.pumpbservicer.v1\x1a\x13SiLAFramework.proto\"F\n\x13GetPVInt_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x12GetPVInt_Responses\x12\x32\n\x0c\x43urrentPVInt\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"C\n\x10GetPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"B\n\x0fGetPV_Responses\x12/\n\tCurrentPV\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"o\n\x11SetSPM_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12)\n\x03SPM\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"@\n\x10SetSPM_Responses\x12,\n\x06SPMSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"o\n\x11SetSPE_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12)\n\x03SPE\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"@\n\x10SetSPE_Responses\x12,\n\x06SPESet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"C\n\x10GetSP_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"B\n\x0fGetSP_Responses\x12/\n\tCurrentSP\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"D\n\x11GetSPA_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"D\n\x10GetSPA_Responses\x12\x30\n\nCurrentSPA\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"D\n\x11GetSPM_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"D\n\x10GetSPM_Responses\x12\x30\n\nCurrentSPM\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"D\n\x11GetSPE_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"D\n\x10GetSPE_Responses\x12\x30\n\nCurrentSPE\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"D\n\x11GetSPR_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"D\n\x10GetSPR_Responses\x12\x30\n\nCurrentSPR\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"G\n\x14GetAccess_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"M\n\x13GetAccess_Responses\x12\x36\n\rCurrentAccess\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"r\n\x11SetCmd_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12,\n\x03\x43md\x18\x02 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"C\n\x10SetCmd_Responses\x12/\n\x06\x43mdSet\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"D\n\x11GetCmd_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"G\n\x10GetCmd_Responses\x12\x33\n\nCurrentCmd\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"t\n\x12SetMode_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12-\n\x04Mode\x18\x02 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x11SetMode_Responses\x12\x30\n\x07ModeSet\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetMode_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"I\n\x11GetMode_Responses\x12\x34\n\x0b\x43urrentMode\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x88\x01\n\x1cSetSetpointSelect_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x37\n\x0eSetpointSelect\x18\x02 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"Y\n\x1bSetSetpointSelect_Responses\x12:\n\x11SetpointSelectSet\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"O\n\x1cGetSetpointSelect_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"]\n\x1bGetSetpointSelect_Responses\x12>\n\x15\x43urrentSetpointSelect\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"F\n\x13GetState_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"K\n\x12GetState_Responses\x12\x35\n\x0c\x43urrentState\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetType_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetType_Responses\x12\x33\n\x0b\x43urrentType\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"J\n\x17GetAvailable_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"S\n\x16GetAvailable_Responses\x12\x39\n\x10\x43urrentAvailable\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"E\n\x12GetName_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"H\n\x11GetName_Responses\x12\x33\n\x0b\x43urrentName\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"H\n\x15GetVersion_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"N\n\x14GetVersion_Responses\x12\x36\n\x0e\x43urrentVersion\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x8f\x01\n!SetActuatorCalibration_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x39\n\x13\x41\x63tuatorCalibration\x18\x02 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"`\n SetActuatorCalibration_Responses\x12<\n\x16\x41\x63tuatorCalibrationSet\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"T\n!GetActuatorCalibration_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"d\n GetActuatorCalibration_Responses\x12@\n\x1a\x43urrentActuatorCalibration\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"N\n\x1bGetActuatorDirPV_Parameters\x12/\n\x06UnitID\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"[\n\x1aGetActuatorDirPV_Responses\x12=\n\x14\x43urrentActuatorDirPV\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer2\x98\x1e\n\rPumpBServicer\x12\x99\x01\n\x08GetPVInt\x12\x45.sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Parameters\x1a\x44.sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Responses\"\x00\x12\x90\x01\n\x05GetPV\x12\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Parameters\x1a\x41.sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Responses\"\x00\x12\x93\x01\n\x06SetSPM\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Responses\"\x00\x12\x93\x01\n\x06SetSPE\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Responses\"\x00\x12\x90\x01\n\x05GetSP\x12\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Parameters\x1a\x41.sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Responses\"\x00\x12\x93\x01\n\x06GetSPA\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Responses\"\x00\x12\x93\x01\n\x06GetSPM\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Responses\"\x00\x12\x93\x01\n\x06GetSPE\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Responses\"\x00\x12\x93\x01\n\x06GetSPR\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Responses\"\x00\x12\x9c\x01\n\tGetAccess\x12\x46.sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Parameters\x1a\x45.sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Responses\"\x00\x12\x93\x01\n\x06SetCmd\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Responses\"\x00\x12\x93\x01\n\x06GetCmd\x12\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Parameters\x1a\x42.sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Responses\"\x00\x12\x96\x01\n\x07SetMode\x12\x44.sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Parameters\x1a\x43.sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Responses\"\x00\x12\x96\x01\n\x07GetMode\x12\x44.sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Parameters\x1a\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Responses\"\x00\x12\xb4\x01\n\x11SetSetpointSelect\x12N.sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Parameters\x1aM.sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Responses\"\x00\x12\xb4\x01\n\x11GetSetpointSelect\x12N.sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Parameters\x1aM.sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Responses\"\x00\x12\x99\x01\n\x08GetState\x12\x45.sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Parameters\x1a\x44.sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Responses\"\x00\x12\x96\x01\n\x07GetType\x12\x44.sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Parameters\x1a\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Responses\"\x00\x12\xa5\x01\n\x0cGetAvailable\x12I.sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Parameters\x1aH.sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Responses\"\x00\x12\x96\x01\n\x07GetName\x12\x44.sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Parameters\x1a\x43.sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Responses\"\x00\x12\x9f\x01\n\nGetVersion\x12G.sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Parameters\x1a\x46.sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Responses\"\x00\x12\xc3\x01\n\x16SetActuatorCalibration\x12S.sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Parameters\x1aR.sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Responses\"\x00\x12\xc3\x01\n\x16GetActuatorCalibration\x12S.sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Parameters\x1aR.sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Responses\"\x00\x12\xb1\x01\n\x10GetActuatorDirPV\x12M.sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Parameters\x1aL.sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Responses\"\x00\x62\x06proto3')
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETPVINT_PARAMETERS = _descriptor.Descriptor(
  name='GetPVInt_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=94,
  serialized_end=164,
)


_GETPVINT_RESPONSES = _descriptor.Descriptor(
  name='GetPVInt_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPVInt', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Responses.CurrentPVInt', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=166,
  serialized_end=238,
)


_GETPV_PARAMETERS = _descriptor.Descriptor(
  name='GetPV_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=240,
  serialized_end=307,
)


_GETPV_RESPONSES = _descriptor.Descriptor(
  name='GetPV_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPV', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Responses.CurrentPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=309,
  serialized_end=375,
)


_SETSPM_PARAMETERS = _descriptor.Descriptor(
  name='SetSPM_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='SPM', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Parameters.SPM', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=377,
  serialized_end=488,
)


_SETSPM_RESPONSES = _descriptor.Descriptor(
  name='SetSPM_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SPMSet', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Responses.SPMSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=490,
  serialized_end=554,
)


_SETSPE_PARAMETERS = _descriptor.Descriptor(
  name='SetSPE_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='SPE', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Parameters.SPE', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=556,
  serialized_end=667,
)


_SETSPE_RESPONSES = _descriptor.Descriptor(
  name='SetSPE_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SPESet', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Responses.SPESet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=669,
  serialized_end=733,
)


_GETSP_PARAMETERS = _descriptor.Descriptor(
  name='GetSP_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=735,
  serialized_end=802,
)


_GETSP_RESPONSES = _descriptor.Descriptor(
  name='GetSP_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSP', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Responses.CurrentSP', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=804,
  serialized_end=870,
)


_GETSPA_PARAMETERS = _descriptor.Descriptor(
  name='GetSPA_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=872,
  serialized_end=940,
)


_GETSPA_RESPONSES = _descriptor.Descriptor(
  name='GetSPA_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSPA', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Responses.CurrentSPA', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=942,
  serialized_end=1010,
)


_GETSPM_PARAMETERS = _descriptor.Descriptor(
  name='GetSPM_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1012,
  serialized_end=1080,
)


_GETSPM_RESPONSES = _descriptor.Descriptor(
  name='GetSPM_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSPM', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Responses.CurrentSPM', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1082,
  serialized_end=1150,
)


_GETSPE_PARAMETERS = _descriptor.Descriptor(
  name='GetSPE_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1152,
  serialized_end=1220,
)


_GETSPE_RESPONSES = _descriptor.Descriptor(
  name='GetSPE_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSPE', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Responses.CurrentSPE', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1222,
  serialized_end=1290,
)


_GETSPR_PARAMETERS = _descriptor.Descriptor(
  name='GetSPR_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1292,
  serialized_end=1360,
)


_GETSPR_RESPONSES = _descriptor.Descriptor(
  name='GetSPR_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSPR', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Responses.CurrentSPR', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1362,
  serialized_end=1430,
)


_GETACCESS_PARAMETERS = _descriptor.Descriptor(
  name='GetAccess_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1432,
  serialized_end=1503,
)


_GETACCESS_RESPONSES = _descriptor.Descriptor(
  name='GetAccess_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAccess', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Responses.CurrentAccess', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1505,
  serialized_end=1582,
)


_SETCMD_PARAMETERS = _descriptor.Descriptor(
  name='SetCmd_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='Cmd', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Parameters.Cmd', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1584,
  serialized_end=1698,
)


_SETCMD_RESPONSES = _descriptor.Descriptor(
  name='SetCmd_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CmdSet', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Responses.CmdSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1700,
  serialized_end=1767,
)


_GETCMD_PARAMETERS = _descriptor.Descriptor(
  name='GetCmd_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1769,
  serialized_end=1837,
)


_GETCMD_RESPONSES = _descriptor.Descriptor(
  name='GetCmd_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentCmd', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Responses.CurrentCmd', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1839,
  serialized_end=1910,
)


_SETMODE_PARAMETERS = _descriptor.Descriptor(
  name='SetMode_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='Mode', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Parameters.Mode', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1912,
  serialized_end=2028,
)


_SETMODE_RESPONSES = _descriptor.Descriptor(
  name='SetMode_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='ModeSet', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Responses.ModeSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2030,
  serialized_end=2099,
)


_GETMODE_PARAMETERS = _descriptor.Descriptor(
  name='GetMode_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2101,
  serialized_end=2170,
)


_GETMODE_RESPONSES = _descriptor.Descriptor(
  name='GetMode_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentMode', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Responses.CurrentMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2172,
  serialized_end=2245,
)


_SETSETPOINTSELECT_PARAMETERS = _descriptor.Descriptor(
  name='SetSetpointSelect_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='SetpointSelect', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Parameters.SetpointSelect', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2248,
  serialized_end=2384,
)


_SETSETPOINTSELECT_RESPONSES = _descriptor.Descriptor(
  name='SetSetpointSelect_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetpointSelectSet', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Responses.SetpointSelectSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2386,
  serialized_end=2475,
)


_GETSETPOINTSELECT_PARAMETERS = _descriptor.Descriptor(
  name='GetSetpointSelect_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2477,
  serialized_end=2556,
)


_GETSETPOINTSELECT_RESPONSES = _descriptor.Descriptor(
  name='GetSetpointSelect_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSetpointSelect', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Responses.CurrentSetpointSelect', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2558,
  serialized_end=2651,
)


_GETSTATE_PARAMETERS = _descriptor.Descriptor(
  name='GetState_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2653,
  serialized_end=2723,
)


_GETSTATE_RESPONSES = _descriptor.Descriptor(
  name='GetState_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentState', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Responses.CurrentState', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2725,
  serialized_end=2800,
)


_GETTYPE_PARAMETERS = _descriptor.Descriptor(
  name='GetType_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2802,
  serialized_end=2871,
)


_GETTYPE_RESPONSES = _descriptor.Descriptor(
  name='GetType_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentType', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Responses.CurrentType', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2873,
  serialized_end=2945,
)


_GETAVAILABLE_PARAMETERS = _descriptor.Descriptor(
  name='GetAvailable_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2947,
  serialized_end=3021,
)


_GETAVAILABLE_RESPONSES = _descriptor.Descriptor(
  name='GetAvailable_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAvailable', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Responses.CurrentAvailable', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3023,
  serialized_end=3106,
)


_GETNAME_PARAMETERS = _descriptor.Descriptor(
  name='GetName_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3108,
  serialized_end=3177,
)


_GETNAME_RESPONSES = _descriptor.Descriptor(
  name='GetName_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentName', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Responses.CurrentName', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3179,
  serialized_end=3251,
)


_GETVERSION_PARAMETERS = _descriptor.Descriptor(
  name='GetVersion_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3253,
  serialized_end=3325,
)


_GETVERSION_RESPONSES = _descriptor.Descriptor(
  name='GetVersion_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVersion', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Responses.CurrentVersion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3327,
  serialized_end=3405,
)


_SETACTUATORCALIBRATION_PARAMETERS = _descriptor.Descriptor(
  name='SetActuatorCalibration_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='ActuatorCalibration', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Parameters.ActuatorCalibration', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3408,
  serialized_end=3551,
)


_SETACTUATORCALIBRATION_RESPONSES = _descriptor.Descriptor(
  name='SetActuatorCalibration_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='ActuatorCalibrationSet', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Responses.ActuatorCalibrationSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3553,
  serialized_end=3649,
)


_GETACTUATORCALIBRATION_PARAMETERS = _descriptor.Descriptor(
  name='GetActuatorCalibration_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3651,
  serialized_end=3735,
)


_GETACTUATORCALIBRATION_RESPONSES = _descriptor.Descriptor(
  name='GetActuatorCalibration_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentActuatorCalibration', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Responses.CurrentActuatorCalibration', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3737,
  serialized_end=3837,
)


_GETACTUATORDIRPV_PARAMETERS = _descriptor.Descriptor(
  name='GetActuatorDirPV_Parameters',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='UnitID', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Parameters.UnitID', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3839,
  serialized_end=3917,
)


_GETACTUATORDIRPV_RESPONSES = _descriptor.Descriptor(
  name='GetActuatorDirPV_Responses',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentActuatorDirPV', full_name='sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Responses.CurrentActuatorDirPV', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=3919,
  serialized_end=4010,
)

_GETPVINT_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETPVINT_RESPONSES.fields_by_name['CurrentPVInt'].message_type = SiLAFramework__pb2._REAL
_GETPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETPV_RESPONSES.fields_by_name['CurrentPV'].message_type = SiLAFramework__pb2._REAL
_SETSPM_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETSPM_PARAMETERS.fields_by_name['SPM'].message_type = SiLAFramework__pb2._REAL
_SETSPM_RESPONSES.fields_by_name['SPMSet'].message_type = SiLAFramework__pb2._REAL
_SETSPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETSPE_PARAMETERS.fields_by_name['SPE'].message_type = SiLAFramework__pb2._REAL
_SETSPE_RESPONSES.fields_by_name['SPESet'].message_type = SiLAFramework__pb2._REAL
_GETSP_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSP_RESPONSES.fields_by_name['CurrentSP'].message_type = SiLAFramework__pb2._REAL
_GETSPA_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSPA_RESPONSES.fields_by_name['CurrentSPA'].message_type = SiLAFramework__pb2._REAL
_GETSPM_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSPM_RESPONSES.fields_by_name['CurrentSPM'].message_type = SiLAFramework__pb2._REAL
_GETSPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSPE_RESPONSES.fields_by_name['CurrentSPE'].message_type = SiLAFramework__pb2._REAL
_GETSPR_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSPR_RESPONSES.fields_by_name['CurrentSPR'].message_type = SiLAFramework__pb2._REAL
_GETACCESS_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETACCESS_RESPONSES.fields_by_name['CurrentAccess'].message_type = SiLAFramework__pb2._INTEGER
_SETCMD_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETCMD_PARAMETERS.fields_by_name['Cmd'].message_type = SiLAFramework__pb2._INTEGER
_SETCMD_RESPONSES.fields_by_name['CmdSet'].message_type = SiLAFramework__pb2._INTEGER
_GETCMD_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETCMD_RESPONSES.fields_by_name['CurrentCmd'].message_type = SiLAFramework__pb2._INTEGER
_SETMODE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETMODE_PARAMETERS.fields_by_name['Mode'].message_type = SiLAFramework__pb2._INTEGER
_SETMODE_RESPONSES.fields_by_name['ModeSet'].message_type = SiLAFramework__pb2._INTEGER
_GETMODE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETMODE_RESPONSES.fields_by_name['CurrentMode'].message_type = SiLAFramework__pb2._INTEGER
_SETSETPOINTSELECT_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETSETPOINTSELECT_PARAMETERS.fields_by_name['SetpointSelect'].message_type = SiLAFramework__pb2._INTEGER
_SETSETPOINTSELECT_RESPONSES.fields_by_name['SetpointSelectSet'].message_type = SiLAFramework__pb2._INTEGER
_GETSETPOINTSELECT_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSETPOINTSELECT_RESPONSES.fields_by_name['CurrentSetpointSelect'].message_type = SiLAFramework__pb2._INTEGER
_GETSTATE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETSTATE_RESPONSES.fields_by_name['CurrentState'].message_type = SiLAFramework__pb2._INTEGER
_GETTYPE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETTYPE_RESPONSES.fields_by_name['CurrentType'].message_type = SiLAFramework__pb2._STRING
_GETAVAILABLE_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETAVAILABLE_RESPONSES.fields_by_name['CurrentAvailable'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETNAME_RESPONSES.fields_by_name['CurrentName'].message_type = SiLAFramework__pb2._STRING
_GETVERSION_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETVERSION_RESPONSES.fields_by_name['CurrentVersion'].message_type = SiLAFramework__pb2._STRING
_SETACTUATORCALIBRATION_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_SETACTUATORCALIBRATION_PARAMETERS.fields_by_name['ActuatorCalibration'].message_type = SiLAFramework__pb2._REAL
_SETACTUATORCALIBRATION_RESPONSES.fields_by_name['ActuatorCalibrationSet'].message_type = SiLAFramework__pb2._REAL
_GETACTUATORCALIBRATION_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETACTUATORCALIBRATION_RESPONSES.fields_by_name['CurrentActuatorCalibration'].message_type = SiLAFramework__pb2._REAL
_GETACTUATORDIRPV_PARAMETERS.fields_by_name['UnitID'].message_type = SiLAFramework__pb2._INTEGER
_GETACTUATORDIRPV_RESPONSES.fields_by_name['CurrentActuatorDirPV'].message_type = SiLAFramework__pb2._INTEGER
DESCRIPTOR.message_types_by_name['GetPVInt_Parameters'] = _GETPVINT_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPVInt_Responses'] = _GETPVINT_RESPONSES
DESCRIPTOR.message_types_by_name['GetPV_Parameters'] = _GETPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPV_Responses'] = _GETPV_RESPONSES
DESCRIPTOR.message_types_by_name['SetSPM_Parameters'] = _SETSPM_PARAMETERS
DESCRIPTOR.message_types_by_name['SetSPM_Responses'] = _SETSPM_RESPONSES
DESCRIPTOR.message_types_by_name['SetSPE_Parameters'] = _SETSPE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetSPE_Responses'] = _SETSPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetSP_Parameters'] = _GETSP_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSP_Responses'] = _GETSP_RESPONSES
DESCRIPTOR.message_types_by_name['GetSPA_Parameters'] = _GETSPA_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSPA_Responses'] = _GETSPA_RESPONSES
DESCRIPTOR.message_types_by_name['GetSPM_Parameters'] = _GETSPM_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSPM_Responses'] = _GETSPM_RESPONSES
DESCRIPTOR.message_types_by_name['GetSPE_Parameters'] = _GETSPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSPE_Responses'] = _GETSPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetSPR_Parameters'] = _GETSPR_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSPR_Responses'] = _GETSPR_RESPONSES
DESCRIPTOR.message_types_by_name['GetAccess_Parameters'] = _GETACCESS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAccess_Responses'] = _GETACCESS_RESPONSES
DESCRIPTOR.message_types_by_name['SetCmd_Parameters'] = _SETCMD_PARAMETERS
DESCRIPTOR.message_types_by_name['SetCmd_Responses'] = _SETCMD_RESPONSES
DESCRIPTOR.message_types_by_name['GetCmd_Parameters'] = _GETCMD_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCmd_Responses'] = _GETCMD_RESPONSES
DESCRIPTOR.message_types_by_name['SetMode_Parameters'] = _SETMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetMode_Responses'] = _SETMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetMode_Parameters'] = _GETMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetMode_Responses'] = _GETMODE_RESPONSES
DESCRIPTOR.message_types_by_name['SetSetpointSelect_Parameters'] = _SETSETPOINTSELECT_PARAMETERS
DESCRIPTOR.message_types_by_name['SetSetpointSelect_Responses'] = _SETSETPOINTSELECT_RESPONSES
DESCRIPTOR.message_types_by_name['GetSetpointSelect_Parameters'] = _GETSETPOINTSELECT_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSetpointSelect_Responses'] = _GETSETPOINTSELECT_RESPONSES
DESCRIPTOR.message_types_by_name['GetState_Parameters'] = _GETSTATE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetState_Responses'] = _GETSTATE_RESPONSES
DESCRIPTOR.message_types_by_name['GetType_Parameters'] = _GETTYPE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetType_Responses'] = _GETTYPE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAvailable_Parameters'] = _GETAVAILABLE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAvailable_Responses'] = _GETAVAILABLE_RESPONSES
DESCRIPTOR.message_types_by_name['GetName_Parameters'] = _GETNAME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetName_Responses'] = _GETNAME_RESPONSES
DESCRIPTOR.message_types_by_name['GetVersion_Parameters'] = _GETVERSION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVersion_Responses'] = _GETVERSION_RESPONSES
DESCRIPTOR.message_types_by_name['SetActuatorCalibration_Parameters'] = _SETACTUATORCALIBRATION_PARAMETERS
DESCRIPTOR.message_types_by_name['SetActuatorCalibration_Responses'] = _SETACTUATORCALIBRATION_RESPONSES
DESCRIPTOR.message_types_by_name['GetActuatorCalibration_Parameters'] = _GETACTUATORCALIBRATION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetActuatorCalibration_Responses'] = _GETACTUATORCALIBRATION_RESPONSES
DESCRIPTOR.message_types_by_name['GetActuatorDirPV_Parameters'] = _GETACTUATORDIRPV_PARAMETERS
DESCRIPTOR.message_types_by_name['GetActuatorDirPV_Responses'] = _GETACTUATORDIRPV_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetPVInt_Parameters = _reflection.GeneratedProtocolMessageType('GetPVInt_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPVINT_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Parameters)
  })
_sym_db.RegisterMessage(GetPVInt_Parameters)

GetPVInt_Responses = _reflection.GeneratedProtocolMessageType('GetPVInt_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPVINT_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetPVInt_Responses)
  })
_sym_db.RegisterMessage(GetPVInt_Responses)

GetPV_Parameters = _reflection.GeneratedProtocolMessageType('GetPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPV_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Parameters)
  })
_sym_db.RegisterMessage(GetPV_Parameters)

GetPV_Responses = _reflection.GeneratedProtocolMessageType('GetPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPV_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetPV_Responses)
  })
_sym_db.RegisterMessage(GetPV_Responses)

SetSPM_Parameters = _reflection.GeneratedProtocolMessageType('SetSPM_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSPM_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Parameters)
  })
_sym_db.RegisterMessage(SetSPM_Parameters)

SetSPM_Responses = _reflection.GeneratedProtocolMessageType('SetSPM_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSPM_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetSPM_Responses)
  })
_sym_db.RegisterMessage(SetSPM_Responses)

SetSPE_Parameters = _reflection.GeneratedProtocolMessageType('SetSPE_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSPE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Parameters)
  })
_sym_db.RegisterMessage(SetSPE_Parameters)

SetSPE_Responses = _reflection.GeneratedProtocolMessageType('SetSPE_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSPE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetSPE_Responses)
  })
_sym_db.RegisterMessage(SetSPE_Responses)

GetSP_Parameters = _reflection.GeneratedProtocolMessageType('GetSP_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSP_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Parameters)
  })
_sym_db.RegisterMessage(GetSP_Parameters)

GetSP_Responses = _reflection.GeneratedProtocolMessageType('GetSP_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSP_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSP_Responses)
  })
_sym_db.RegisterMessage(GetSP_Responses)

GetSPA_Parameters = _reflection.GeneratedProtocolMessageType('GetSPA_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSPA_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Parameters)
  })
_sym_db.RegisterMessage(GetSPA_Parameters)

GetSPA_Responses = _reflection.GeneratedProtocolMessageType('GetSPA_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSPA_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPA_Responses)
  })
_sym_db.RegisterMessage(GetSPA_Responses)

GetSPM_Parameters = _reflection.GeneratedProtocolMessageType('GetSPM_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSPM_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Parameters)
  })
_sym_db.RegisterMessage(GetSPM_Parameters)

GetSPM_Responses = _reflection.GeneratedProtocolMessageType('GetSPM_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSPM_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPM_Responses)
  })
_sym_db.RegisterMessage(GetSPM_Responses)

GetSPE_Parameters = _reflection.GeneratedProtocolMessageType('GetSPE_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSPE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Parameters)
  })
_sym_db.RegisterMessage(GetSPE_Parameters)

GetSPE_Responses = _reflection.GeneratedProtocolMessageType('GetSPE_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSPE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPE_Responses)
  })
_sym_db.RegisterMessage(GetSPE_Responses)

GetSPR_Parameters = _reflection.GeneratedProtocolMessageType('GetSPR_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSPR_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Parameters)
  })
_sym_db.RegisterMessage(GetSPR_Parameters)

GetSPR_Responses = _reflection.GeneratedProtocolMessageType('GetSPR_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSPR_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSPR_Responses)
  })
_sym_db.RegisterMessage(GetSPR_Responses)

GetAccess_Parameters = _reflection.GeneratedProtocolMessageType('GetAccess_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETACCESS_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Parameters)
  })
_sym_db.RegisterMessage(GetAccess_Parameters)

GetAccess_Responses = _reflection.GeneratedProtocolMessageType('GetAccess_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETACCESS_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetAccess_Responses)
  })
_sym_db.RegisterMessage(GetAccess_Responses)

SetCmd_Parameters = _reflection.GeneratedProtocolMessageType('SetCmd_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETCMD_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Parameters)
  })
_sym_db.RegisterMessage(SetCmd_Parameters)

SetCmd_Responses = _reflection.GeneratedProtocolMessageType('SetCmd_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETCMD_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetCmd_Responses)
  })
_sym_db.RegisterMessage(SetCmd_Responses)

GetCmd_Parameters = _reflection.GeneratedProtocolMessageType('GetCmd_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCMD_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Parameters)
  })
_sym_db.RegisterMessage(GetCmd_Parameters)

GetCmd_Responses = _reflection.GeneratedProtocolMessageType('GetCmd_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCMD_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetCmd_Responses)
  })
_sym_db.RegisterMessage(GetCmd_Responses)

SetMode_Parameters = _reflection.GeneratedProtocolMessageType('SetMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETMODE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Parameters)
  })
_sym_db.RegisterMessage(SetMode_Parameters)

SetMode_Responses = _reflection.GeneratedProtocolMessageType('SetMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETMODE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetMode_Responses)
  })
_sym_db.RegisterMessage(SetMode_Responses)

GetMode_Parameters = _reflection.GeneratedProtocolMessageType('GetMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETMODE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Parameters)
  })
_sym_db.RegisterMessage(GetMode_Parameters)

GetMode_Responses = _reflection.GeneratedProtocolMessageType('GetMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETMODE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetMode_Responses)
  })
_sym_db.RegisterMessage(GetMode_Responses)

SetSetpointSelect_Parameters = _reflection.GeneratedProtocolMessageType('SetSetpointSelect_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSETPOINTSELECT_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Parameters)
  })
_sym_db.RegisterMessage(SetSetpointSelect_Parameters)

SetSetpointSelect_Responses = _reflection.GeneratedProtocolMessageType('SetSetpointSelect_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSETPOINTSELECT_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetSetpointSelect_Responses)
  })
_sym_db.RegisterMessage(SetSetpointSelect_Responses)

GetSetpointSelect_Parameters = _reflection.GeneratedProtocolMessageType('GetSetpointSelect_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSETPOINTSELECT_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Parameters)
  })
_sym_db.RegisterMessage(GetSetpointSelect_Parameters)

GetSetpointSelect_Responses = _reflection.GeneratedProtocolMessageType('GetSetpointSelect_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSETPOINTSELECT_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetSetpointSelect_Responses)
  })
_sym_db.RegisterMessage(GetSetpointSelect_Responses)

GetState_Parameters = _reflection.GeneratedProtocolMessageType('GetState_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSTATE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Parameters)
  })
_sym_db.RegisterMessage(GetState_Parameters)

GetState_Responses = _reflection.GeneratedProtocolMessageType('GetState_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSTATE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetState_Responses)
  })
_sym_db.RegisterMessage(GetState_Responses)

GetType_Parameters = _reflection.GeneratedProtocolMessageType('GetType_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Parameters)
  })
_sym_db.RegisterMessage(GetType_Parameters)

GetType_Responses = _reflection.GeneratedProtocolMessageType('GetType_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTYPE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetType_Responses)
  })
_sym_db.RegisterMessage(GetType_Responses)

GetAvailable_Parameters = _reflection.GeneratedProtocolMessageType('GetAvailable_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Parameters)
  })
_sym_db.RegisterMessage(GetAvailable_Parameters)

GetAvailable_Responses = _reflection.GeneratedProtocolMessageType('GetAvailable_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETAVAILABLE_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetAvailable_Responses)
  })
_sym_db.RegisterMessage(GetAvailable_Responses)

GetName_Parameters = _reflection.GeneratedProtocolMessageType('GetName_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Parameters)
  })
_sym_db.RegisterMessage(GetName_Parameters)

GetName_Responses = _reflection.GeneratedProtocolMessageType('GetName_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETNAME_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetName_Responses)
  })
_sym_db.RegisterMessage(GetName_Responses)

GetVersion_Parameters = _reflection.GeneratedProtocolMessageType('GetVersion_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Parameters)
  })
_sym_db.RegisterMessage(GetVersion_Parameters)

GetVersion_Responses = _reflection.GeneratedProtocolMessageType('GetVersion_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVERSION_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetVersion_Responses)
  })
_sym_db.RegisterMessage(GetVersion_Responses)

SetActuatorCalibration_Parameters = _reflection.GeneratedProtocolMessageType('SetActuatorCalibration_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETACTUATORCALIBRATION_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Parameters)
  })
_sym_db.RegisterMessage(SetActuatorCalibration_Parameters)

SetActuatorCalibration_Responses = _reflection.GeneratedProtocolMessageType('SetActuatorCalibration_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETACTUATORCALIBRATION_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.SetActuatorCalibration_Responses)
  })
_sym_db.RegisterMessage(SetActuatorCalibration_Responses)

GetActuatorCalibration_Parameters = _reflection.GeneratedProtocolMessageType('GetActuatorCalibration_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETACTUATORCALIBRATION_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Parameters)
  })
_sym_db.RegisterMessage(GetActuatorCalibration_Parameters)

GetActuatorCalibration_Responses = _reflection.GeneratedProtocolMessageType('GetActuatorCalibration_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETACTUATORCALIBRATION_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorCalibration_Responses)
  })
_sym_db.RegisterMessage(GetActuatorCalibration_Responses)

GetActuatorDirPV_Parameters = _reflection.GeneratedProtocolMessageType('GetActuatorDirPV_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETACTUATORDIRPV_PARAMETERS,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Parameters)
  })
_sym_db.RegisterMessage(GetActuatorDirPV_Parameters)

GetActuatorDirPV_Responses = _reflection.GeneratedProtocolMessageType('GetActuatorDirPV_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETACTUATORDIRPV_RESPONSES,
  '__module__' : 'PumpBServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.pumpbservicer.v1.GetActuatorDirPV_Responses)
  })
_sym_db.RegisterMessage(GetActuatorDirPV_Responses)



_PUMPBSERVICER = _descriptor.ServiceDescriptor(
  name='PumpBServicer',
  full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=4013,
  serialized_end=7877,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetPVInt',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetPVInt',
    index=0,
    containing_service=None,
    input_type=_GETPVINT_PARAMETERS,
    output_type=_GETPVINT_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetPV',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetPV',
    index=1,
    containing_service=None,
    input_type=_GETPV_PARAMETERS,
    output_type=_GETPV_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetSPM',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.SetSPM',
    index=2,
    containing_service=None,
    input_type=_SETSPM_PARAMETERS,
    output_type=_SETSPM_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetSPE',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.SetSPE',
    index=3,
    containing_service=None,
    input_type=_SETSPE_PARAMETERS,
    output_type=_SETSPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSP',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetSP',
    index=4,
    containing_service=None,
    input_type=_GETSP_PARAMETERS,
    output_type=_GETSP_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSPA',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetSPA',
    index=5,
    containing_service=None,
    input_type=_GETSPA_PARAMETERS,
    output_type=_GETSPA_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSPM',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetSPM',
    index=6,
    containing_service=None,
    input_type=_GETSPM_PARAMETERS,
    output_type=_GETSPM_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSPE',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetSPE',
    index=7,
    containing_service=None,
    input_type=_GETSPE_PARAMETERS,
    output_type=_GETSPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSPR',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetSPR',
    index=8,
    containing_service=None,
    input_type=_GETSPR_PARAMETERS,
    output_type=_GETSPR_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAccess',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetAccess',
    index=9,
    containing_service=None,
    input_type=_GETACCESS_PARAMETERS,
    output_type=_GETACCESS_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetCmd',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.SetCmd',
    index=10,
    containing_service=None,
    input_type=_SETCMD_PARAMETERS,
    output_type=_SETCMD_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetCmd',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetCmd',
    index=11,
    containing_service=None,
    input_type=_GETCMD_PARAMETERS,
    output_type=_GETCMD_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetMode',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.SetMode',
    index=12,
    containing_service=None,
    input_type=_SETMODE_PARAMETERS,
    output_type=_SETMODE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetMode',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetMode',
    index=13,
    containing_service=None,
    input_type=_GETMODE_PARAMETERS,
    output_type=_GETMODE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetSetpointSelect',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.SetSetpointSelect',
    index=14,
    containing_service=None,
    input_type=_SETSETPOINTSELECT_PARAMETERS,
    output_type=_SETSETPOINTSELECT_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetSetpointSelect',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetSetpointSelect',
    index=15,
    containing_service=None,
    input_type=_GETSETPOINTSELECT_PARAMETERS,
    output_type=_GETSETPOINTSELECT_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetState',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetState',
    index=16,
    containing_service=None,
    input_type=_GETSTATE_PARAMETERS,
    output_type=_GETSTATE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetType',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetType',
    index=17,
    containing_service=None,
    input_type=_GETTYPE_PARAMETERS,
    output_type=_GETTYPE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetAvailable',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetAvailable',
    index=18,
    containing_service=None,
    input_type=_GETAVAILABLE_PARAMETERS,
    output_type=_GETAVAILABLE_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetName',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetName',
    index=19,
    containing_service=None,
    input_type=_GETNAME_PARAMETERS,
    output_type=_GETNAME_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetVersion',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetVersion',
    index=20,
    containing_service=None,
    input_type=_GETVERSION_PARAMETERS,
    output_type=_GETVERSION_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='SetActuatorCalibration',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.SetActuatorCalibration',
    index=21,
    containing_service=None,
    input_type=_SETACTUATORCALIBRATION_PARAMETERS,
    output_type=_SETACTUATORCALIBRATION_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetActuatorCalibration',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetActuatorCalibration',
    index=22,
    containing_service=None,
    input_type=_GETACTUATORCALIBRATION_PARAMETERS,
    output_type=_GETACTUATORCALIBRATION_RESPONSES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetActuatorDirPV',
    full_name='sila2.org.silastandard.examples.pumpbservicer.v1.PumpBServicer.GetActuatorDirPV',
    index=23,
    containing_service=None,
    input_type=_GETACTUATORDIRPV_PARAMETERS,
    output_type=_GETACTUATORDIRPV_RESPONSES,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_PUMPBSERVICER)

DESCRIPTOR.services_by_name['PumpBServicer'] = _PUMPBSERVICER

# @@protoc_insertion_point(module_scope)
